cloud-localds(1)

NAME
cloud-localds - create a disk for cloud-init to utilize nocloud

SYNOPSIS
cloud-localds [options] output user-data [meta-data]

DESCRIPTION
cloud-localds creates a disk-image with user-data and/or meta-data for cloud-init(1). user-data can contain everything which is supported by cloud-init(1)

OPTIONS

-d, --disk_format=DISKFORMAT
    Disk format to output. See qemu-img(1) for allowed disk formats. Default is raw.

-f, --filesystem=FORMAT
    Filesystem format. Allowed formats are vfat and iso. Default is iso9660.

-h, --help
    Show usage.

-i, --interfaces
    Write network interfaces file into metadata.

-m, --dsmode=MODE
    Add dsmode to the metadata. Allowed are local or net. Default in cloud-init(1) is net.

EXAMPLES
This example creates a disk image with user-data which can be used to start a cloud image which supports cloud-init(1).

Create some user-data:

    cat > my-user-data <<EOF
    password: passw0rd
    chpasswd: { expire: False }
    ssh_pwauth: True
    EOF

Create the disk image which contains the user-data:

    cloud-localds my-seed.img my-user-data

Boot the cloud-image:

    qemu -net nic -net user -hda cloud-image.img -hdb my-seed.img -m 512

cloud-image.img is a image which supports cloud-init(1) during the boot process.

SEE ALSO
cloud-init(1), qemu-img(1), qemu(1)

AUTHOR
This manpage was written by Thomas Bechtold <thomasbechtold@jpberlin.de> for Debian systems (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 published by the Free Software Foundation.